<app-header
  class="layout-header"
  [menuToggleEnabled]="true"
  (menuToggle)="menuOpened = !menuOpened"
  [title]="title"
>
</app-header>

<dx-drawer
  openedStateMode="shrink"
  position="left"
  revealMode="slide"
  template="template"
  [(opened)]="menuOpened"
  [closeOnOutsideClick]="true"
>
  <div *dxTemplate="let data of 'template'" style="width: 200px">
    <dx-list
      class="panel-list dx-theme-accent-as-background-color"
      [dataSource]="navigation"
      [hoverStateEnabled]="false"
      [activeStateEnabled]="false"
      [focusStateEnabled]="false"
      (onItemClick)="navigationChanged($event)"
    >
    </dx-list>
  </div>

  <dx-scroll-view class="full-height-scrollable">
    <div class="content">
      <ng-content></ng-content>
    </div>
  </dx-scroll-view>
</dx-drawer>
